# std::experimental::filesystem::path::empty

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | path

bool empty() const; |  | (filesystem TS)

Checks if the path is empty.

### Parameters

(none)

### Return value

true if the path is empty, false otherwise.

### Exceptions

`noexcept` specification:
noexcept

### See also

has_root_path has_root_name has_root_directory has_relative_path has_parent_path has_filename has_stem has_extension | checks if the corresponding path element is not empty (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/path/empty&oldid=91585"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template